Page MenuHomePhabricator

Allow to sort tasks by number of tokens
Closed, ResolvedPublic

Description

There are two reports about votes and searches, but I want to document a specific use case: listing bugs by number of votes. For instance, in MediaWiki we have a very hard time convincing people to upgrade, and the best selling point is always showing that we fixed stuff people cared about.

https://www.mediawiki.org/wiki/Manual:Upgrading#Why_upgrade.3F includes a link "See also the list of the most voted fixed issues", we'll need a way to do the same on phabricator (including old data, of course).

Details

Reference
fl414

Related Objects

StatusAssignedTask
Resolved Qgil
Resolved Qgil
Resolved Qgil
Resolved RobLa-WMF
Resolved Qgil
Resolved Qgil
ResolvedAklapper
Resolved Qgil
Declinedchasemp
DuplicateAklapper
ResolvedAklapper
ResolvedAklapper
Resolvedchasemp
Resolvedchasemp
Declinedchasemp
Resolvedchasemp
Duplicatechasemp
Declinedchasemp
Invalidchasemp
Duplicatechasemp
Resolved Qgil
Resolvedchasemp

Event Timeline

flimport raised the priority of this task from to Lowest.Sep 12 2014, 1:39 AM
flimport set Reference to fl414.

aklapper wrote on 2014-06-15 12:47:39 (UTC)

I'm not convinced that the effort (importing votes data) or UI clutter (having some hidden votes field) is worth it to be able to provide a list of fixed tickets that had a number of votes.

Are there more usecases?

Nemo_bis wrote on 2014-06-18 20:20:01 (UTC)

Giving an overview of what's happening in a project that is worthwhile seems to me the whole point of a "project management tool", which AFAIK phabricator aspires to be.
The functionality above needs to be available, in a way or another: this is out of question; but of course we might decide that it's fine to be forced by phabricator to do additional work and have it on a wiki instead of bugzilla.

You asked the same question in the other task so I replied there http://fab.wmflabs.org/T150#25

aklapper wrote on 2014-06-26 10:13:08 (UTC)

In T414#8, @Nemo_bis wrote:

Giving an overview of what's happening in a project that is worthwhile seems to me the whole point of a "project management tool", which AFAIK phabricator aspires to be.

Do you have an example how ''what's happening in a project'' is related to votes in Bugzilla? I completely miss the connection. (In theory, votes might influence which tasks gets fixed or prioritized. In reality I don't see that in Bugzilla.)

this is out of question

It isn't. If nobody uses votes as a source of input anyway, there's no need to support such functionality or even allow sorting by them. In any case, we need to decide on T150 first before we can continue with this item anyway.

aklapper wrote on 2014-06-26 13:02:51 (UTC)

Found https://secure.phabricator.com/T3611#10 :

You can view the objects with the most tokens here, although this currently includes closed/resolved objects and includes objects of all types

See http://fab.wmflabs.org/token/leaders/

I've asked upstream if one could exclude closed tickets plus filter by type of item.

aklapper wrote on 2014-06-26 13:57:13 (UTC)

See https://secure.phabricator.com/T3611#22 - basically WONTFIX upstream as the UI would be too complex. If we explicitly wanted Voting (not tokens) we can file a wishlist item, but it's low priority as upstream isn't convinced of the value it brings. And I share that sentiment.

(including old data, of course).

We are not migrating votes from Bugzilla. If we still want to pursue this feature, it should be based on the number of tokens.

In T251#3188, @flimport wrote:

aklapper wrote on 2014-06-26 13:57:13 (UTC)
See https://secure.phabricator.com/T3611#22 - basically WONTFIX upstream as the UI would be too complex. If we explicitly wanted Voting (not tokens) we can file a wishlist item, but it's low priority as upstream isn't convinced of the value it brings. And I share that sentiment.

Closed Wontfix upstream, removed from #phabricator.org here.

Qgil set Security to None.
Qgil moved this task from To Triage to Need discussion on the Phabricator board.
Qgil closed this task as Declined.Dec 8 2014, 11:15 AM
Qgil claimed this task.

Declining here as well. Tokens are not votes.

If anything at all, sorting by number of flags would make more sense than by tokens. But that's something to discuss with upstream first.

Kozuch added a subscriber: Kozuch.
Nemo_bis changed the task status from Declined to Resolved.Dec 12 2014, 7:30 AM
Nemo_bis added a subscriber: Nemo_bis.

As pointed out by Lego elsewhere, this is actually possible on an install-wide basis: https://phabricator.wikimedia.org/token/leaders/

Kozuch removed a subscriber: Kozuch.Dec 15 2014, 10:14 AM
Kozuch added a subscriber: Kozuch.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM